## simbody 3.5.4+dfsg2

=== debian/changelog ===
simbody (3.5.4+dfsg2-1) unstable; urgency=medium

  * Update standards
  * Update to salsa the Vcs- metadata
  * Remove windows libraries from code
  * Exclusion of windows libraries in copyrigth

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 22 Feb 2018 00:49:06 +0000

simbody (3.5.4+dfsg-3) unstable; urgency=medium

  * Improve the way of packaging manuals and examples
  * Fix docs to contain only the api
  * Fix path in docs
  * Include pdf in doc files
  * Avoid compressing the PDFs
  * Remove -dbg package
  * Export harding=+all flag
  * Do not compress code source
  * Include CMakeLists.txt in exclussion for dh_compress
  * Add get-orig-source to rules file

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 22 Feb 2018 00:24:59 +0000

simbody (3.5.4+dfsg-2) unstable; urgency=medium

  * Added hadening+bindnow to rules file
  * Update to compat 11: remove -dbg and CMAKE_BUILD_TYPE
  * Include visualizer path in libsimbody3

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 12 Feb 2018 22:15:27 +0000
