=== debian/control ===
Source: simbody
Standards-Version: 4.1.3
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11),
               cmake,
               doxygen,
               freeglut3-dev,
               libxi-dev,
               libxmu-dev,
               liblapack-dev,
               doxygen-latex
Vcs-Browser: https://salsa.debian.org/science-team/simbody
Vcs-Git: https://salsa.debian.org/science-team/simbody.git
Homepage: https://simtk.org/home/simbody

Package: libsimbody3.5v5
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Conflicts: libsimbody3.5
Replaces: libsimbody3.5
Description: SimTK multibody dynamics API - shared library
 Simbody is a SimTK toolset providing general multibody dynamics capability,
 that is, the ability to solve Newton's 2nd law F=ma in any set of generalized
 coordinates subject to arbitrary constraints. Simbody is provided as an open
 source, object-oriented C++ API and delivers high-performance,
 accuracy-controlled science/engineering-quality results.

Package: libsimbody-dev
Architecture: any
Section: libdevel
Depends: freeglut3-dev,
         libxi-dev,
         libxmu-dev,
         liblapack-dev,
	 libsimbody3.5v5 (= ${binary:Version}),
	 ${misc:Depends}
Multi-Arch: same
Description: SimTK multibody dynamics API - development files
 Simbody is a SimTK toolset providing general multibody dynamics capability,
 that is, the ability to solve Newton's 2nd law F=ma in any set of generalized
 coordinates subject to arbitrary constraints. Simbody is provided as an open
 source, object-oriented C++ API and delivers high-performance,
 accuracy-controlled science/engineering-quality results.
 .
 This package contains development files (headers, shared library
 symbolic link and pkg-config file).

Package: simbody-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery
Multi-Arch: foreign
Description: SimTK multibody dynamics API - Documentation
 Simbody is a SimTK toolset providing general multibody dynamics capability,
 that is, the ability to solve Newton's 2nd law F=ma in any set of generalized
 coordinates subject to arbitrary constraints. Simbody is provided as an open
 source, object-oriented C++ API and delivers high-performance,
 accuracy-controlled science/engineering-quality results.
 .
 This package contains documentation (user guides, theory manual, API/Doxygen).
