=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 .PHONY: override_dh_auto_configure   \
         override_dh_auto_build-indep \
         override_dh_auto_install     \
+        override_dh_auto_test-indep  \
         override_dh_compress         \
         get-source-orig
 
@@ -20,8 +21,8 @@
 	dh_auto_build -- doxygen
 
 override_dh_auto_install:
-	dh_auto_install --buildsystem=cmake 
-	
+	dh_auto_install --buildsystem=cmake
+
 	# Remove extra LICENSE and INSTALL file
 	rm debian/tmp/usr/share/doc/simbody/LICENSE.txt
 	rm debian/tmp/usr/share/doc/simbody/CHANGELOG.md
@@ -30,7 +31,8 @@
 	# Don't compress the .pdf nor source files
 	dh_compress -X.pdf -X.cpp -X.h -X.sdf -X.obj -X.txt
 
-get-orig-source:
-	uscan --timeout 10 --verbose --force-download --repack --compress xz
+# No test can be done without the binaries
+override_dh_auto_test-indep:
+
 %:
 	dh $@ --buildsystem=cmake
